# -*- coding: utf-8 -*-

#    Copyright 2018 Youssef El Ouahby <youssef@yaltik.com>
#    Copyright 2018 Fabien Bourgeois <fabien@yaltik.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

""" GOLEM Member adaptations """

from odoo import models, fields, api

class GolemMember(models.Model):
    """ GOLEM Member adaptations """
    _inherit = 'golem.member'

    @api.multi
    def get_mass_mailing_action(self):
        """ Call member mass mailing presend wizard """
        partners = self.mapped('partner_id').ids
        presend_wizard = self.env['golem.mail.presend.wizard'].create(
            {'partner_ids': [(6, 0, partners)]})
        for partner in partners:
            self.env['golem.mail.recipient'].create({'partner_id': partner,
                                                     'presend_wizard_id': presend_wizard.id})
        return {
            'type': 'ir.actions.act_window',
            'name': 'Member mass mailing',
            'res_model': 'golem.mail.presend.wizard',
            'res_id': presend_wizard.id,
            'view_mode': 'form',
            'view_type': 'form',
            'target': 'new'
            }
